chrome.runtime.onMessage.addListener((opt) => {
    if (opt.name === 'reloadContextMenus') {
        setupContextMenu();
    }
});

async function setupContextMenu() {
    await chrome.contextMenus.removeAll();
    option = await chrome.storage.sync.get(['last', 'ptb', 'enu', 'deu', 'ita', 'esp', 'fra']);

    // If no option selected, default to last one
    if (!option.ptb && !option.enu && !option.deu && !option.ita && !option.esp && !option.fra) {
        option.last = true;
    }

    if (option.last) {
        addContextMenu("", "last");
    }
    if (option.ptb) {
        addContextMenu(" em PTB", "ptb");
    }
    if (option.enu) {
        addContextMenu(" em ENU", "enu");
    }
    if (option.deu) {
        addContextMenu(" em DEU", "deu");
    }
    if (option.ita) {
        addContextMenu(" em ITA", "ita");
    }
    if (option.esp) {
        addContextMenu(" em ESP", "esp");
    }
    if (option.fra) {
        addContextMenu(" em FRA", "fra");
    }
}

chrome.runtime.onInstalled.addListener(() => setupContextMenu());

function addContextMenu(label, languageId) {
    chrome.contextMenus.create({ 
        title: 'Pesquisar' + label + ': %s', 
        contexts: ['selection'],
        id: languageId,
    });
}


// Context menu was clicked...
chrome.contextMenus.onClicked.addListener((info) => {
    selectedWord = info.selectionText;
    if (info.menuItemId != "last") {
        selectedWord = info.menuItemId + "/" + selectedWord;
    }
    url = "https://dicionarios.cc/" + selectedWord

    chrome.tabs.create({ url: url});
});
