async function saveOptions(e) {
  e.preventDefault();
  await chrome.storage.sync.set({
    last: document.querySelector("#last").checked,
    ptb: document.querySelector("#ptb").checked,
    enu: document.querySelector("#enu").checked,
    deu: document.querySelector("#deu").checked,
    ita: document.querySelector("#ita").checked,
    esp: document.querySelector("#esp").checked,
    fra: document.querySelector("#fra").checked,
  });
    alert("Opções salvas!");
  await chrome.runtime.sendMessage({ name: 'reloadContextMenus' });
  restoreOptions();
}

async function restoreOptions() {
  let option = await chrome.storage.sync.get(['last', 'ptb', 'enu', 'deu', 'ita', 'esp', 'fra']);
  document.querySelector("#last").checked = option.last;
  document.querySelector("#ptb").checked = option.ptb;
  document.querySelector("#enu").checked = option.enu;
  document.querySelector("#deu").checked = option.deu;
  document.querySelector("#ita").checked = option.ita;
  document.querySelector("#esp").checked = option.esp;
  document.querySelector("#fra").checked = option.fra;
  if (!option.ptb && !option.enu && !option.deu && !option.ita && !option.esp && !option.fra) {
      document.querySelector("#last").checked = true;
  }
}

document.addEventListener('DOMContentLoaded', restoreOptions);
document.querySelector("form").addEventListener("submit", saveOptions);
